> ## Name

> DepthFunc - 3D API depth func

> ## Usage

> DepthFunc = int(func)

> ## Valid Enumerants

> func: Never, Less, LEqual, LessEqual, Equal, Greater, NotEqual, GEqual, GreaterEqual, Always

> ## Description

> Specify the function used for depth buffer comparisons. See the OpenGL glDepthFunc manual page for details. See the D3DRS_ZFUNC render state description for DirectX 9.

> The standard reset callback sets the DepthFunc state to int(Less).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> ClearDepth, DepthBias, DepthBounds, DepthBoundsEnable, DepthClampEnable, DepthTestEnable, DepthMask, DepthRange, DepthTestEnable, SlopScaleDepthBias, ZEnable, ZFunc, ZWriteEnable